Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516877 - UI: Add Cloud Tenant option is enabled when there is no Cloud provider added.
Summary: UI: Add Cloud Tenant option is enabled when there is no Cloud provider added.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.10.0
Assignee: Dávid Halász
QA Contact: Dave Johnson
URL:
Whiteboard: testathon
Depends On:
Blocks: 1518745
TreeView+ depends on / blocked
 
Reported: 2017-11-23 13:25 UTC by Satyajit Bulage
Modified: 2018-06-21 21:10 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1518745 (view as bug list)
Environment:
Last Closed: 2018-06-21 21:10:49 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing actual results (deleted)
2017-11-23 13:25 UTC, Satyajit Bulage
no flags Details

Description Satyajit Bulage 2017-11-23 13:25:03 UTC
Created attachment 1358225 [details]
Screenshot showing actual results

Description of problem:


Version-Release number of selected component (if applicable):5.9.0.10.20171121225911_a2209d2


How reproducible:100%


Steps to Reproduce:
1. Navigate to Compute --> Cloud --> Tenant
2.
3.

Actual results: Add tenant option is enabled


Expected results: It should not be enabled when there is not Cloud provider.


Additional info:

Comment 4 CFME Bot 2017-11-29 09:23:36 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/f27094873d3a1afb0d641abf8eda0d49331dc653

commit f27094873d3a1afb0d641abf8eda0d49331dc653
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Tue Nov 28 15:21:52 2017 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Tue Nov 28 15:24:36 2017 +0100

    Disable buttons for adding new cloud items when no provider available 🐛
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1516877

 .../application_helper/button/new_cloud_tenant.rb  |  5 +++++
 .../application_helper/button/new_flavor.rb        |  5 +++++
 .../button/new_host_aggregate.rb                   |  5 +++++
 .../toolbar/cloud_tenants_center.rb                |  2 +-
 .../application_helper/toolbar/flavors_center.rb   |  1 +
 .../toolbar/host_aggregates_center.rb              |  2 +-
 .../buttons/new_cloud_tenant_spec.rb               | 23 +++++++++++++++++++++
 .../application_helper/buttons/new_flavor_spec.rb  | 24 ++++++++++++++++++++++
 .../buttons/new_host_aggregate_spec.rb             | 23 +++++++++++++++++++++
 9 files changed, 88 insertions(+), 2 deletions(-)
 create mode 100644 app/helpers/application_helper/button/new_cloud_tenant.rb
 create mode 100644 app/helpers/application_helper/button/new_flavor.rb
 create mode 100644 app/helpers/application_helper/button/new_host_aggregate.rb
 create mode 100644 spec/helpers/application_helper/buttons/new_cloud_tenant_spec.rb
 create mode 100644 spec/helpers/application_helper/buttons/new_flavor_spec.rb
 create mode 100644 spec/helpers/application_helper/buttons/new_host_aggregate_spec.rb


Note You need to log in before you can comment on or make changes to this bug.